Skip to main content
PUT
Update data source by ID

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Path Parameters

_id
string
required

Unique identifier for the data that generated by system. Example: 63dc641b1ed1fd63ad0c9013

Body

application/json
dataId
string
required

The identifier of fields from data type. Example: Outlet

dataTypeId
string
required

The identifier of data type. Use GET /data-types API to get the list of Data Type IDs. Example: 63db2fb476bc679c540369c4

hubId
string

The identifier for the hub that generated by system. hubId is not required if the commonData configuration for the data type is true. Use GET /hubs API to get the list of Hub IDs. Example: 63c63ffbdef63e6f641aac72

outletName
string

The dynamic field, outlet name. Use GET /data-types API to get detail fields of data source. Example: Cabang Jakarta Pusat

outletHours
integer

The dynamic field, outlet hours. Use GET /data-types API to get detail fields of data source. Example: 12

outletType
string

The dynamic field, outlet type. Use GET /data-types API to get detail fields of data source. Example: minimarket

outletOpen
string

The dynamic field, outlet open. Use GET /data-types API to get detail fields of data source. Example: 09:00

outletClosed
string

The dynamic field, outlet closed. Use GET /data-types API to get detail fields of data source. Example: 17:00

outletContractExpired
string

The dynamic field, outlet contract expired. Use GET /data-types API to get detail fields of data source. Example: 2023-02-02

outletOpenInWeekend
boolean

The dynamic field, outlet open in weekend. Use GET /data-types API to get detail fields of data source. Example: true

outletGeolocation
string

The dynamic field, outlet geolocation. Use GET /data-types API to get detail fields of data source. Example: -6.171702325136309,106.81775093078615

Response

Success

status
boolean

Status of response.

message
string

Message of API response.

data
object

Detail of object data source.